Package logilab :: Package common :: Module proc :: Class LineageMemoryError

[frames] | no frames]

# Class LineageMemoryError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                       ResourceError --+
                                       |
                                      LineageMemoryError

    Error raised when the total amount of memory used by a process and
    it's child is reached

Instance Methods
Inherited from `exceptions.Exception`: `__init__`, `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables
| limit = `"Lineage total Memory"`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`